/*
 * Copyright (c) 2013.  Ohio Department of Education. - All Rights Reserved.
 * Unauthorized copying of this file, in any medium, is strictly prohibited.
 * Written by State Software Development Team (http://ssdt.oecn.k12.oh.us/)
 */

package org.ssdt_ohio.gradle.plugins

import org.gradle.api.Project
import org.gradle.testfixtures.ProjectBuilder
import org.junit.Test
import org.ssdt_ohio.gradle.tasks.UserDoc


class UserDocPluginTest {

    @Test
    public void greeterPluginAddsGreetingTaskToProject() {
        Project project = ProjectBuilder.builder().withProjectDir(new File('.')).build()
        project.apply plugin: 'userdoc'
        project.apply plugin: 'groovy'

        project.dependencies {
            compile localGroovy()
        }
        UserDoc task = project.tasks.userdoc
        assert task instanceof UserDoc


        task.generate()

    }
}
